<?php

/**
 * Setup file
 *
 * Setup file for the killspike plugin.
 *
 * PHP versions 4 and 5
 * 
 */


function plugin_init_killspike() {
	global $plugin_hooks;
	$plugin_hooks['config_arrays']['killspike'] = 'killspike_config_arrays';
	$plugin_hooks['draw_navigation_text']['killspike'] = 'killspike_draw_navigation_text';
	$plugin_hooks['graph_buttons']['killspike'] = 'killspike_graph_button';
}

function killspike_version () {
	return array( 	'name' 		=> 'killspike',
	'version' 	=> '0.1.0a',
	'longname'	=> 'killspike',
	'author'	=> 'ALiCE',
	'homepage'	=> 'about:blank',
	'email'		=> 'alice@xes.ro',
	);
}

function killspike_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu, $messages;
	$user_auth_realm_filenames['killspike.php'] = 227;
        $user_auth_realms[227]='User can kill spikes';
    
}

function killspike_draw_navigation_text ($nav) {
	$nav["killspike.php:"] = array("title" => "killspike", "mapping" => "graph_view.php:,?,graph.php:view", "level" => "3");
}

function killspike_graph_button($data)
{
$user = db_fetch_row("select * from user_auth where id=" .$_SESSION["sess_user_id"]. " and realm = 0");    
if (sizeof(db_fetch_assoc("select realm_id from user_auth_realm where user_id=" . $user["id"] . " and realm_id=227")) > 0)
{	global $config;

	$local_graph_id = $data[1]['local_graph_id'];
	    
	print '<a href="' .  $config['url_path'] . 'plugins/killspike/killspike.php?action=kill&graph_id='.$local_graph_id.'"><img src="' . $config['url_path'] . 'plugins/killspike/images/killspike.png" border="0" alt="Kill spikes for this graph" style="padding: 3px;"></a><br>';
}}

?>
